<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2018 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------
use think\facade\Route;

Route::rule('menu', 'admin/Menu/list');
Route::rule('menusave', 'admin/Menu/MenuEdit');
Route::rule('menudel', 'admin/Menu/MenuDel');
Route::rule('menustatus', 'admin/Menu/MenuStatus');
Route::rule("menulist", "admin/Menu/MenuAllList");
Route::rule('menuaction', 'admin/Action/ActionList');
Route::rule('menuactionsave', 'admin/Action/ActionSave');
Route::rule('menuactionstatus', 'admin/Action/ActionStatus');
Route::rule('menuactionadd', 'admin/Action/ActionAdd');
Route::rule("menuactionlist", "admin/Action/index");
Route::rule("menuactiondel", "admin/Menu/MenuActionDel");
Route::rule("actionstatus", "admin/Action/ActionStatus");
Route::rule("actioninfo", "admin/Action/ActionInfo");
Route::rule("actionlist", "admin/Action/ActionList");
Route::rule("actionlistcreate", "admin/Action/ActionCreate");
Route::rule("actionlistdel", "admin/Action/ActionDel");

Route::rule('grouplist', 'admin/Group/GroupList');
Route::rule('groupall', 'admin/Group/GroupAll');
Route::rule('groupinfo', 'admin/Group/GroupInfo');
Route::rule('groupadd', 'admin/Group/GroupAdd');
Route::rule('groupsave', 'admin/Group/GroupSave');
Route::rule('groupstatus', 'admin/Group/GroupStatus');

Route::rule('rolelist', 'admin/Role/roleList');
Route::rule('roleall', 'admin/Role/roleAll');
Route::rule('roleinfo', 'admin/Role/roleInfo');
Route::rule('roleadd', 'admin/Role/roleAdd');
Route::rule('rolesave', 'admin/Role/roleSave');
Route::rule('rolestatus', 'admin/Role/roleStatus');
Route::rule('role_process_info', 'admin/Role/roleProcessInfo');//获取角色对应的流程权限id
Route::rule('role_process_detail', 'admin/Role/roleProcessDetail');//获取角色对应的流程权限详情
Route::rule('role_process_save', 'admin/Role/roleProcessSave');//修改角色对应的流程权限
Route::rule('ulist', 'admin/Newfill/list');
Route::rule('add', 'admin/Newfill/add');
Route::rule('refresh', "admin/Newfill/refresh");
Route::rule('query', 'admin/Newfill/query');
Route::rule('itemdel', 'admin/Newfill/itemdel');
Route::rule('stat', 'admin/Newfill/stat');
Route::rule('userp', 'admin/Newfill/userp');

Route::rule('clist', 'admin/Departuser/list');
Route::rule('attend', 'admin/Departuser/attend');
Route::rule('useredit', 'admin/Departuser/useredit');
Route::rule('ifound', 'admin/Departuser/found');
Route::rule('iuserdel', 'admin/Departuser/userdel');

Route::rule('customerlist', 'admin/Customer/list');
Route::rule('customercreate', 'admin/Customer/create');
Route::rule('customerupdate', 'admin/Customer/update');
Route::rule('customerselect', 'admin/Customer/info');
Route::rule('customerdelect', 'admin/Customer/delete');
Route::rule('customerstatus', 'admin/Customer/status');
Route::rule('supplierlist', 'admin/Supplier/list');
Route::rule('suppliercreate', 'admin/Supplier/create');
Route::rule('supplieredit', 'admin/Supplier/edit');
Route::rule('supplierselec', 'admin/Supplier/selec');
Route::rule('supplierdelect', 'admin/Supplier/del');
Route::rule('comprehensiveList', 'admin/Supplier/comprehensiveList');//供应商和业务企业合并列表

Route::rule('resultlist', 'admin/Result/list');
Route::rule('resultcreate', 'admin/Result/create');
Route::rule('resultselect', 'admin/Result/selec');
Route::rule('resultedit', 'admin/Result/edit');
Route::rule('resultdel', 'admin/Result/del');
Route::rule('resultstatu', 'admin/Result/statu');

Route::rule('Resigninfolist', 'admin/Resigninfo/list');//离职交接单列表
Route::rule('Resigninfocreate', 'admin/Resigninfo/create');//离职交接单创建
Route::rule('Resigninfoselect', 'admin/Resigninfo/selec');
Route::rule('Resigninfoedit', 'admin/Resigninfo/edit');//离职交接单编辑
Route::rule('Resigninfodel', 'admin/Resigninfo/del');//离职交接单作废
Route::rule('Resigninfostatu', 'admin/Resigninfo/statu');//离职交接单审核
//Route::rule('Consultlist', 'admin/Consult/list');
//Route::rule('Consultinfo', 'admin/Consult/info');
Route::rule('infolist', 'admin/Listcustomer/list');
Route::rule('salecreate', 'admin/Sale/create');//参加销售订单
Route::rule('salelist', 'admin/Sale/list');//销售订单列表
Route::rule('saleedit', 'admin/Sale/edit');//编辑销售订单
Route::rule('saleinfo', 'admin/Sale/info');//销售订单详情
//Route::rule('saledelect', 'admin/Sale/del');//删除销售订单
//Route::rule('salestatus', 'admin/Sale/status');
//Route::rule('salefee', 'admin/Sale/fee');
//Route::rule('saleout', 'admin/Sale/out');
//Route::rule('salecustomer', 'admin/Sale/customer');
Route::rule('xsaleout', 'admin/Sale/saleout');//发货申请单列表
Route::rule('saleoutinfo', 'admin/Sale/outinfo');
Route::rule('saleaddr', 'admin/Sale/addAddr');
Route::rule('salegetprice', 'admin/Sale/getPrice');
Route::rule('goodzxinfo', 'admin/Sale/goodzxinfo');
Route::rule('getgoodzxinfobynotzixun', 'admin/Sale/getGoodZxInfoByNotZixun');
Route::rule('exportsaleout', 'admin/Sale/exportSaleOut');//发货申请单导出
Route::rule('saleoutreceipt', 'admin/Sale/saleoutReceipt');//发货申请单确认收货
Route::rule('saleoutbatch', 'admin/Sale/outSendBatchByImport');//库管批量发货
Route::rule('getlogisticsinformation', 'admin/Sale/getLogisticsInformation');//获取物流信息
Route::rule('checkflist', 'admin/Check/flist');
Route::rule('checklist', 'admin/Check/list');
Route::rule('checkgood', 'admin/Check/goodlist');
Route::rule('checkcreate', 'admin/Check/create');
Route::rule('checkinfo', 'admin/Check/info');
Route::rule('checkedit', 'admin/Check/edit');
Route::rule('checkedell', 'admin/Check/dell');//作废盘点单
Route::rule('checkestatus', 'admin/Check/statu');
Route::rule('checkexport', 'admin/Check/exportGood');
Route::rule('checkimport', 'admin/Check/importGood');
Route::rule('allotlist', 'admin/Allot/list');
Route::rule('allotcreate', 'admin/Allot/create');
Route::rule('allotedit', 'admin/Allot/edit');
Route::rule('allotinfo', 'admin/Allot/info');
Route::rule('allotdelect', 'admin/Allot/del');
Route::rule('allotstatus', 'admin/Allot/status');
Route::rule('allotgetont', 'admin/Allot/getont');
Route::rule('allotgetin', 'admin/Allot/getin');
Route::rule('allotvesio', 'admin/Allot/vesio');
Route::rule('allotgood', 'admin/Allot/goodlist');
//【运营账号】
Route::rule('login', 'admin/User/login');//登录
Route::rule('userlist', 'admin/User/list');//列表
Route::rule('user_role_list', 'admin/User/userRoleList');//账号角色查询
Route::rule('setrole', 'admin/User/setRole');//账号角色修改
Route::rule('userinfo', 'admin/User/userInfo');
Route::rule('userall', 'admin/User/userAll');
Route::rule('usersinglelist', 'admin/User/userSingleList');//超管账号列表
Route::rule('passSetByPassword', 'admin/User/passSetByPassword');
//【公司账号管理】
Route::rule('userCompanyBasicAdd', 'admin/UserCompanyBasic/add');
Route::rule('userCompanyBasicList', 'admin/UserCompanyBasic/getList');
Route::rule('userCompanyBasicDelete', 'admin/UserCompanyBasic/delete');
Route::rule('userCompanyBasicUpdate', 'admin/UserCompanyBasic/update');
Route::rule('userCompanyBasicStatus', 'admin/UserCompanyBasic/status');
Route::rule('userCompanyBasicPassword', 'admin/UserCompanyBasic/password');
Route::rule('userCompanyBasicInfo', 'admin/UserCompanyBasic/info');
Route::rule('setUserPlatfrom', 'admin/UserCompanyBasic/setUserPlatfrom');
//【公司账号查询】
Route::rule('userCompanyList', 'admin/UserCompany/getList');
Route::rule('userCompanyInfo', 'admin/UserCompany/info');
Route::rule('userCompanyUpdate', 'admin/UserCompany/update');
Route::rule('userCompanyStatus', 'admin/UserCompany/status');
Route::rule('myCompanyList', 'admin/UserCompany/myCompanyList');
Route::rule('changeMain', 'admin/UserCompany/changeMain');
Route::rule("sharelist", "admin/Share/index");
Route::rule("shareadd", "admin/Share/create");
Route::rule("sharesave", "admin/Share/save");
Route::rule("sharestatus", "admin/Share/status");
Route::rule("sharedel", "admin/Share/delete");
Route::rule("shareinfo", "admin/Share/read");
Route::rule("loglist", "admin/System/index");
Route::rule("versionlist", "admin/System/version");
Route::rule("lastversion", "admin/System/LastVersion");
Route::rule("uploadimg", "admin/System/upload");
Route::rule("uploadfile", "admin/System/upload_file");
Route::rule("uploadvideo", "admin/System/upload_video");
Route::rule("versionAdd", "admin/System/add");//添加版本信息
Route::rule("wareadd", "admin/WareHouse/add");
Route::rule("wareinfo", "admin/WareHouse/info");
Route::rule("waresave", "admin/WareHouse/save");
Route::rule("waredel", "admin/WareHouse/delete");
Route::rule("warelist", "admin/WareHouse/list");
Route::rule("warestatus", "admin/WareHouse/status");
Route::rule("warequery", "admin/WareHouse/select");
Route::rule("province", "admin/Addr/province");
Route::rule("city", "admin/Addr/city");
Route::rule("area", "admin/Addr/area");
Route::rule("addrall", "admin/Addr/all");
Route::rule("addrquery", "admin/Addr/query");

Route::rule("goodlist", "admin/Good/list");
Route::rule("goodlistByYz", "admin/Good/listByYz");
Route::rule("goodwarn", "admin/Good/SetWarn");
//Route::rule("goodstatus", "admin/Good/SetStatus");
Route::rule("goodstat", "admin/Good/Stat");//库存概况
Route::rule("goodstock", "admin/Good/GetStock");
//Route::rule("goodall", "admin/Good/all");
Route::rule("getCombind", "admin/Good/getCombind");
Route::rule("getstockgod", "admin/Good/GetStockGod");//库存统计
Route::rule("getstockwsm", "admin/Good/GetStockWsm");//库存统计
Route::rule("getstockwsmchild", "admin/Good/GetStockWsmChild");//库存统计-明细
Route::rule("getstockbet", "admin/Good/GetStockBet");
Route::rule("goodloglist", "admin/Good/loglist");
Route::rule("goodplist", "admin/Good/goodlist");
Route::rule("getgoodlistbyladder", "admin/Good/getGoodListByLadder");

Route::rule("purchlist", "admin/Resign/list");//备库单列表
Route::rule("purchadd", "admin/Resign/add");//创建备库单
Route::rule("purchcopy", "admin/Resign/copy");
Route::rule("purchedit", "admin/Resign/edit");
Route::rule("purchdel", "admin/Resign/delete");
Route::rule("purchinfo", "admin/Resign/info");
Route::rule("purchstatus", "admin/Resign/status");
Route::rule("purchaddwsm", "admin/Resign/addwsm");
Route::rule("purchcgd", "admin/Resign/createCgd");

Route::rule("feedadd", "admin/Resign/addFeed");
Route::rule("feeddel", "admin/Resign/delFeed");
Route::rule("feedchange", "admin/Resign/changeFeed");
Route::rule("feedinfo", "admin/Resign/infoFeed");

Route::rule("cgdlist", "admin/Purch/list");//采购单列表
Route::rule("cgdinfo", "admin/Purch/info");
Route::rule("cgdedit", "admin/Purch/edit");
Route::rule("cgdeditnew", "admin/Purch/editNew");//修改采购单的供应商
Route::rule("cgdstatus", "admin/Purch/status");
Route::rule("cgddiffcreat", "admin/Purch/diffcreat");
Route::rule("cgddifflist", "admin/Purch/difflist");
Route::rule("cgddiffinfo", "admin/Purch/diffinfo");
Route::rule("cgddiffstatu", "admin/Purch/diffstatu");
Route::rule("cgdeditgoldprice", "admin/Purch/editGoldPrice");//修改采购单实时金价
Route::rule("exportcgdlist", "admin/Purch/exportCgdList");//导出采购单
Route::rule("cgdgetchangesupplierlist", "admin/Purch/getChangeSupplierList");//导出采购单

Route::rule("orderinlist", "admin/Purchin/list");
Route::rule("orderinadd", "admin/Purchin/add");//新建入库单
Route::rule("orderin_add_batch", "admin/Purchin/addBatch");//批量添加入库单
Route::rule("orderininfo", "admin/Purchin/info");
Route::rule("orderincheck", "admin/Purchin/checkOrder"); //验货入库
Route::rule("orderinstatus", "admin/Purchin/status");
Route::rule("orderinreturn", "admin/Purchin/ReturnAdd");
Route::rule("returnsend", "admin/Purchin/ReturnSend");
Route::rule("returnstatus", "admin/Purchin/ReturnStatus");

Route::rule("processlist", "admin/Process/list");
Route::rule("processinfo", "admin/Process/info");
Route::rule("process", "admin/Process/process");
Route::rule('process_get_list', 'admin/Process/getList');
Route::rule('process_add', 'admin/Process/add');
Route::rule('process_read', 'admin/Process/read');
Route::rule('process_update', 'admin/Process/update');
Route::rule('action_process_getlist', 'admin/ActionProcess/getList');
Route::rule('action_process_add', 'admin/ActionProcess/add');
Route::rule('action_process_read', 'admin/ActionProcess/read');
Route::rule('action_process_update', 'admin/ActionProcess/update');
Route::rule('action_process_all', 'admin/ActionProcess/getAll');

Route::rule("expresslist", "admin/Express/list");
Route::rule("expressuse", "admin/Express/SetUse");
Route::rule("express", "admin/Express/GetExpress");

Route::rule('catlist', 'admin/Cat/list');
Route::rule('catplist', 'admin/Cat/plist');
Route::rule('catcreate', 'admin/Cat/create');
Route::rule('catedit', 'admin/Cat/edit');
Route::rule('catinfo', 'admin/Cat/info');
Route::rule('catstatus', 'admin/Cat/status');
Route::rule('cattitle', 'admin/Cat/title');
Route::rule('delete', 'admin/Cat/delete');
Route::rule('cattlist', 'admin/Cat/tlist');
Route::rule('catratedit', 'admin/Cat/ratedit');
Route::rule('catwlist', "admin/Cat/wlist");

//Route::rule('backcreate', 'admin/Purchback/create');
Route::rule('backlist', 'admin/Purchin/returnList');
//Route::rule('backstatus', 'admin/Purchback/status');
//Route::rule('backfe', 'admin/Purchback/backfe');
//Route::rule('backinfo', 'admin/Purchback/info');
//Route::rule('backdel', 'admin/Purchback/delete');

Route::rule('aftercreate', 'admin/After/create');
Route::rule('afterinfo', 'admin/After/info');
Route::rule('afterlist', 'admin/After/list');
Route::rule('afterstatus', 'admin/After/status');
Route::rule('afterfeed', 'admin/After/postfeed');
Route::rule('afterpost', 'admin/After/addpost');
Route::rule('aftergys', 'admin/After/GysFeed');
Route::rule('afterwsm', 'admin/After/GetWsm');
Route::rule('aftercancel', 'admin/After/Cancel');
Route::rule('createSaleAndCgdByAfter', 'admin/After/createSaleAndCgdByAfter');
Route::rule('afterExport', 'admin/After/export');
Route::rule('order_return_child_list', 'admin/AfterChild/getList');//退货工单列表
Route::rule('set_order_return_child', 'admin/AfterChild/setOrderReturnChild');//设置退货工单
Route::rule('delivery_order_return_child', 'admin/AfterChild/deliveryOrderReturnChild');//库管收货
Route::rule('set_order_return_child_record', 'admin/AfterChild/setRecord');//设置退货工单标记
Route::rule('order_return_child_info', 'admin/AfterChild/info');//设置退货工单详情
Route::rule('order_return_child_prelist', 'admin/AfterChild/getPreList');//获取退货工单设置信息列表
//Route::rule('aftersetwsm','admin/After/setWsm');

Route::rule('processolist', 'admin/Proorder/list');//我的已办
Route::rule('processowaitlist', 'admin/Proorder/waitlist');//我的待办
Route::rule('processoall', 'admin/Proorder/all');

Route::rule('orderbacklist', 'admin/Orderback/list');
Route::rule('orderbackinfo', 'admin/Orderback/info');
Route::rule('orderbackcheck', 'admin/Orderback/check');
Route::rule('orderbce', 'admin/Orderback/CheckExam');
Route::rule('orderbackexam', 'admin/Orderback/Exam');
Route::rule('orderbackexamnew', 'admin/Orderback/ExamNew');//新写退货接口
//
//Route::rule('goldlist', 'admin/Gold/list');
//Route::rule('goldadd', 'admin/Gold/add');
//Route::rule('gold', 'admin/Gold/GetByType');
Route::rule('reorderlist', 'admin/Reorder/list');//退货单列表
Route::rule('reordercreate', 'admin/Reorder/create');//批量退货
Route::rule('reorderinfo', 'admin/Reorder/info');
Route::rule('reorderdel', 'admin/Reorder/delete');
Route::rule('reorderexam', 'admin/Reorder/exam');
Route::rule('reorderzx', 'admin/Reorder/zxcreate');
Route::rule('reorderall', 'admin/Reorder/allReturn');//全部退货
Route::rule('reorderExport', 'admin/Reorder/export');//退货单导出
Route::rule('reorderool', 'admin/Reorder/getOrderOutList');//获取退货单对应的发货单信息
Route::rule('reorder_cancel', 'admin/Reorder/cancel');//售前退货申请单取消
Route::rule('reorder_child_add', 'admin/ReorderChild/add');//退货工单创建
Route::rule('reorder_child_list', 'admin/ReorderChild/getList');//退货工单列表
Route::rule('reorder_child_receive', 'admin/ReorderChild/receive');//退货工单库管收货
Route::rule('reorder_child_info', 'admin/ReorderChild/info');//退货工单详情
Route::rule('reorder_child_set_record', 'admin/ReorderChild/setRecord');//更新退货工单标记

//Route::rule('salezxcreate', 'admin/Salezx/create');
//Route::rule('salezxedit', 'admin/Salezx/edit');
//Route::rule('salezxout', 'admin/Salezx/out');
//Route::rule('salezxaddr', 'admin/Salezx/outaddr');

Route::rule('saledifflist', 'admin/Sale/difflist');
Route::rule('salediffcheck', 'admin/Sale/diffcheck');
Route::rule('salediffinfo', 'admin/Sale/diffinfo');
Route::rule('salediffstatus', 'admin/Sale/diffstatus');
Route::rule('saleoutadd', 'admin/Sale/outadd');
Route::rule('saleoutsend', 'admin/Sale/outSend');//库管发货
Route::rule('saleaddother', 'admin/Sale/addother');
Route::rule('saleuse', 'admin/Sale/saleuse');

Route::rule('msglist', 'admin/Log/msglist');
Route::rule('msginfo', 'admin/Log/update');
Route::rule('msgallread', 'admin/Log/allread');
Route::rule('msglimitread', 'admin/Log/limit');

Route::rule('attrcreate', 'admin/Attr/create');
Route::rule('attrlist', 'admin/Attr/list');
Route::rule('attrstatus', 'admin/Attr/status');
Route::rule('attredit', 'admin/Attr/edit');
Route::rule('attrdelete', 'admin/Attr/del');

Route::rule('specscreate', 'admin/Specs/create');
Route::rule('specslist', 'admin/Specs/list');
Route::rule('specsstatus', 'admin/Specs/status');
Route::rule('specstitle', 'admin/Specs/title');
Route::rule('specsedit', 'admin/Specs/edit');
Route::rule('specsdelete', 'admin/Specs/del');

Route::rule('brandcreate', 'admin/Brand/create');
Route::rule('brandlist', 'admin/Brand/list');
Route::rule('brandedit', 'admin/Brand/edit');
Route::rule('brandstatus', 'admin/Brand/status');
Route::rule('branddel', 'admin/Brand/del');
Route::rule('brandinfo', 'admin/Brand/info');
//分类售后说明
Route::rule('desccreate', 'admin/Catdesc/create');
Route::rule('desclist', 'admin/Catdesc/list');
Route::rule('descstatus', 'admin/Catdesc/status');
Route::rule('descedit', 'admin/Catdesc/edit');
Route::rule('descdelete', 'admin/Catdesc/del');

Route::rule('goldpricecreate', 'admin/Goldprice/create');
Route::rule('goldpricelist', 'admin/Goldprice/list');
Route::rule('goldpricedelect', 'admin/Goldprice/del');
Route::rule('goldpricestatus', 'admin/Goldprice/status');
Route::rule('goldlinst', 'admin/Goldprice/linst');
Route::rule('goldratelist', 'admin/Goldprice/ratelist');
Route::rule('golpricelast', 'admin/Goldprice/lastlist');
Route::rule('golpriceedit', 'admin/Goldprice/edit');

Route::rule('customarcreate', 'admin/Customar/create');
Route::rule('customarlist', 'admin/Customar/list');
Route::rule('customaredit', 'admin/Customar/edit');
Route::rule('customarinfo', 'admin/Customar/info');
Route::rule('customardelete', 'admin/Customar/del');
Route::rule('customarstatus', 'admin/Customar/status');

//Route::rule('businesscreate', 'admin/Business/create');//业务企业只能从供应商升级而来
Route::rule('businesslist', 'admin/Business/list');
Route::rule('businessedit', 'admin/Business/edit');
Route::rule('businessdel', 'admin/Business/del');
Route::rule('businessstatus', 'admin/Business/status');
Route::rule('businesssinfo', 'admin/Business/info');
Route::rule('businesstitle', 'admin/Business/title');

Route::rule('gooduplist', 'admin/Goodup/list');//商品列表
Route::rule('goodup_list_copy', 'admin/Goodup/list_copy');//商品列表(复制，去除了数据权限控制)
Route::rule('checkIsUpdate', 'admin/Goodup/checkIsUpdate');//判断是否允许修改成本信息和基础信息

Route::rule('unitcreate', 'admin/Unit/create');
Route::rule('unitlist', 'admin/Unit/list');
Route::rule('unitedit', 'admin/Unit/edit');
Route::rule('unitdelete', 'admin/Unit/del');
Route::rule('unitstatus', 'admin/Unit/status');

Route::rule('goodupcreate', 'admin/Goodup/create');//创建商品成本
//Route::rule('gooduplist','admin/Goodup/list');
Route::rule('goodupeditinfo', 'admin/Goodup/editinfo');//修改商品成本基础信息
Route::rule('goodupinfo', 'admin/Goodup/info');
Route::rule('goodupeditfee', 'admin/Goodup/editfee');
Route::rule('goodupdelall', 'admin/Goodup/delall');
Route::rule('gooduponline', 'admin/Goodup/online');
Route::rule('gooduponlinezixun', 'admin/Goodup/onlineZixunGoods');//咨询成交商品池-商品上线
Route::rule('goodupexam', 'admin/Goodup/online_exam');
Route::rule('goodupeditladder', 'admin/Goodup/editladder');
Route::rule('goodexam', 'admin/Goodup/exam');
Route::rule('goodinfo', 'admin/Good/info');//商品详情
Route::rule('againonline', 'admin/Goodup/againOnline');
Route::rule('goodupcopy', 'admin/Goodup/copy');//复制商品成本
Route::rule('goodupedit', 'admin/Goodup/edit');
Route::rule('goodupprice', 'admin/Goodup/checkPrice');
Route::rule('goodupreject', 'admin/Goodup/rejectGoodToAgainExamine');
Route::rule('goodupoffline', 'admin/Goodup/offlineGoodBySpuCode');
Route::rule('getgoodexamlist', 'admin/Goodup/getGoodExamList');
Route::rule('goodofflist', 'admin/GoodOfflineLog/getList');
Route::rule('goodoffdetail', 'admin/GoodOfflineLog/getDetail');
Route::rule("goodchangelog", "admin/Goodup/changeLog");
Route::rule("goodcompliance", "admin/Goodup/AddCompliance");
Route::rule('goodupbaseiczx', 'admin/Goodup/basicZixunGoods');//咨询成交商品池-商品上线
Route::rule('goodproof', 'admin/Goodup/prooflist');

Route::rule('activitylist', 'admin/Activity/list');
Route::rule('activitylinst', 'admin/Activity/linst');
Route::rule("zixunlist", 'admin/Activity/zilist');
Route::rule("setzxtax", 'admin/Activity/SetZixunTax');
Route::rule("actquery", 'admin/Activity/query');
Route::rule("actstock", 'admin/Activity/editStock');

Route::rule("platformcreate", 'admin/Platform/create');
Route::rule('platformlist', 'admin/Platform/list');
Route::rule('platformedit', 'admin/Platform/edit');
Route::rule('platforminfo', 'admin/Platform/info');
Route::rule('platformdelete', 'admin/Platform/del');
Route::rule('platformstatus', 'admin/Platform/status');
Route::rule('getPlatformListByUid', 'admin/Platform/getPlatformListByUid');

Route::rule('actcreate', 'admin/Activity/create');
Route::rule('actcost', 'admin/Activity/cost');
Route::rule('activity', 'admin/Activity/activity');
Route::rule('actexam', 'admin/Activity/exam');
Route::rule('actinfo', 'admin/Activity/info');
Route::rule('actstatus', 'admin/Activity/actstatus');

Route::rule('keepbcreate', 'admin/Keepbrand/create');
Route::rule('keepblist', 'admin/Keepbrand/list');
Route::rule('keepbinfo', 'admin/Keepbrand/info');
Route::rule('keepbedit', 'admin/Keepbrand/edit');
Route::rule('keepbstatus', 'admin/Keepbrand/status');
Route::rule('keepbdelete', 'admin/Keepbrand/del');
Route::rule('keepbquery', 'admin/Keepbrand/query');

Route::rule('valuecreate', 'admin/Specvalue/create');
Route::rule('valueall', 'admin/Specvalue/all');

Route::rule('titlecreate', 'admin/Title/create');
Route::rule('titlelist', 'admin/Title/list');
Route::rule('titleedit', 'admin/Title/edit');
Route::rule('titleinfo', 'admin/Title/info');
Route::rule('titledelete', 'admin/Title/del');
Route::rule('titlestatus', 'admin/Title/status');

Route::rule('ocrquery', 'admin/Ocrlicense/query');
Route::rule('consultlists', 'admin/Consult/conlist');
//Route::rule('consultinfo', 'admin/Consult/info');
Route::rule('consultdel', 'admin/Consult/delete');
Route::rule('consultcreate', 'admin/Consult/create');
//Route::rule('consultzxadd', 'admin/Consult/zxadd');
Route::rule('consultzxinfo', 'admin/Consult/zxinfo');
Route::rule('consultbar', 'admin/Consult/bargain');
Route::rule('consultfeed', 'admin/Consult/feadback');
Route::rule('consultfeadinfo', 'admin/Consult/feadinfo');
Route::rule('consultbaradd', 'admin/Consult/bargain_add');
Route::rule('consultbidlist', 'admin/Consult/bidlist');
Route::rule('consultbidlistcopy', 'admin/Consult/bidlistCopy');//复制consultbidlist，
Route::rule('consultfeededit', 'admin/Consult/feededit');
Route::rule('consultfeedlist', 'admin/Consult/feedlist');
Route::rule('bragainstatus', 'admin/Consult/bargain_status');
Route::rule('bragaininfo', 'admin/Consult/bargain_info');
Route::rule('zxedit', 'admin/Consult/zxedit');
Route::rule('bargainlist', 'admin/Consult/bragain_list');
Route::rule('bidscheck', 'admin/Consult/bids_check');

Route::rule('crontablist', 'admin/Consult/crontablist');
Route::rule('supplercreate', 'admin/Suppler/create');
Route::rule('supplerlist', 'admin/Suppler/list');
Route::rule('suppleredit', 'admin/Suppler/edit');
Route::rule('supplerinfo', 'admin/Suppler/info');
Route::rule('supplerstatus', 'admin/Suppler/status');
Route::rule('supplerdelete', 'admin/Suppler/del');
Route::rule('supplerUpgrade', 'admin/Suppler/upgrade');

Route::rule("projectcreate", "admin/Project/create");
Route::rule("projectlist", "admin/Project/list");
Route::rule("projectinfo", "admin/Project/info");
Route::rule("projectaddfed", "admin/Project/addfeed");
Route::rule("projectfeedlist", "admin/Project/feedlist");
Route::rule("plancreate", "admin/Project/plan_create");
Route::rule("planinfo", "admin/Project/planinfo");
Route::rule("projectplan", "admin/Project/project_plan");
Route::rule("projectfeeddheck", "admin/Project/feedCheck");
Route::rule("plandheck", "admin/Project/planCheck");
Route::rule("projectrate", "admin/Project/changeRate");
Route::rule("projectfeeddel", "admin/Project/feeddel");
Route::rule("exclulist", "admin/Exclusive/list");
Route::rule("excluadd", "admin/Exclusive/add");
Route::rule("exclustatus", "admin/Exclusive/status");//业务参数-专属类型管理的启用/禁用
Route::rule("excluquery", "admin/Exclusive/query");
Route::rule("excludel", "admin/Exclusive/delete");
Route::rule("excluedit", "admin/Exclusive/edit");

Route::rule("consultorder", "admin/Sale/consultOrder");
Route::rule("projectorder", "admin/Sale/projectCreate");

Route::rule("aftersetwsm", "admin/After/setWsm");
Route::rule("setdelivery", "admin/After/setdelivery");
Route::rule("uselist", "admin/Orderuse/list");
Route::rule("usecreate", "admin/Orderuse/create");
Route::rule("useedit", "admin/Orderuse/edit");
Route::rule("useinfo", "admin/Orderuse/info");
Route::rule("usestatus", "admin/Orderuse/status");
Route::rule("usedelete", "admin/Orderuse/dele");

Route::rule("projectshare", "admin/Version/info");
Route::rule("projectsharelist", "admin/Version/feedlist");
Route::rule("projectshareplan", "admin/Version/project_plan");
Route::rule("projectsharecheck", "admin/Version/feedCheck");
Route::rule("plancheck", "admin/Version/planCheck");
Route::rule("outOrder", "admin/Version/outOrder");

Route::rule('orderimport', 'admin/OrderImport/import');//C端订单导入
Route::rule('orderimportlist', 'admin/OrderImport/getImportList');//C端订单列表
Route::rule('orderimportinfo', 'admin/OrderImport/getImportInfo');//C端订单详情
Route::rule('getonlinegoodinfo', 'admin/OrderImport/getOnlineGoodInfoByPlatcode');//获取线上商品详情
Route::rule('getsourcedata', 'admin/OrderImport/getSourceDataByPlatformId');//获取销售渠道备选数据
Route::rule('confirmimportdata', 'admin/OrderImport/confirmImportData');//用户确认
Route::rule('relationstockbatch', 'admin/OrderImport/relationStockBatch');//用户批量关联库存
Route::rule('delimportorder', 'admin/OrderImport/delImportData');//删除【待用户确认】的订单

//采购报表
Route::rule('exportgood', 'admin/Report/exportGood');//报表-产品价格和产品
Route::rule('reportzixuntotal', 'admin/Report/zixunTotal');//报表-采购日报表-咨询单总数
Route::rule('reportpurcheaseordersum', 'admin/Report/purcheaseOrderSum');//报表-采购日报表-采购订单总金额
Route::rule('reportconsultbidssum', 'admin/Report/consultBidsSum');//报表-采购日报表-采购员回复咨询单数
Route::rule('reportpurcheaseordersumbyuser', 'admin/Report/purcheaseOrderSumByUser');//报表-采购日报表-采购员订单金额
Route::rule('reportconsultinfobidssum', 'admin/Report/consultInfoBidsSum');//报表-咨询单报表-已采反报价信息_列表
Route::rule('reportconsultinfobidssumexport', 'admin/Report/consultInfoBidsSumExport');//报表-咨询单报表-已采反报价信息_导出
Route::rule('reportconsultinfobidssumnot', 'admin/Report/consultInfoBidsSumNot');//报表-咨询单报表-未采反信息_列表
Route::rule('reportconsultinfobidssumnotexport', 'admin/Report/consultInfoBidsSumNotExport');//报表-咨询单报表-未采反信息_导出
Route::rule('reportorderlistdetailed', 'admin/Report/orderListDetailed');//报表-订单明细报表_列表
Route::rule('reportorderlistdetailedexport', 'admin/Report/orderListDetailedExport');//报表-订单明细报表_导出
Route::rule('reportorderreturnlist', 'admin/Report/orderReturnList');//报表-售后报表_列表
Route::rule('reportorderreturnlistexport', 'admin/Report/orderReturnListExport');//报表-售后报表_导出
Route::rule('reportsupplierlist', 'admin/Report/supplierList');//报表-供应商报表_列表
Route::rule('reportsupplierlistexport', 'admin/Report/supplierListExport');//报表-供应商报表_导出
Route::rule('reportsalereturnlist', 'admin/Report/SaleReturnList');//报表-退货流水报表_列表
Route::rule('reportsalereturnexport', 'admin/Report/SaleReturnExport');//报表-退货流水报表_导出
Route::rule('reportgoodonlinelist', 'admin/Report/GoodOnlineList');//报表-商品报表-产品上线报表_列表
Route::rule('reportgoodonlineexport', 'admin/Report/GoodOnlineExport');//报表-商品报表-产品上线报表_导出
Route::rule('reportgoodofflinelist', 'admin/Report/GoodOfflineList');//报表-商品报表-产品下线报表_列表
Route::rule('reportgoodofflineexport', 'admin/Report/GoodOfflineExport');//报表-商品报表-产品下线报表_导出
Route::rule('reportchangeloglist', 'admin/Report/ChangeLogList');//报表-商品报表-商品修改报表_列表
Route::rule('reportchangelogeexport', 'admin/Report/ChangeLogExport');//报表-商品报表-商品修改报表_导出
Route::rule('reportgoodloglist', 'admin/Report/GoodLogList');//报表-出入库明细报表_列表
Route::rule('reportgoodlogexport', 'admin/Report/GoodLogExport');//报表-出入库明细报表_导出
Route::rule('goodSimpleZhao', 'admin/Report/goodSimpleZhao');//【商品信息】基本信息(赵丹要的)_列表
Route::rule('goodSimpleZhaoExport', 'admin/Report/goodSimpleZhaoExport');//【商品信息】基本信息(赵丹要的)_导出
Route::rule('goodCostZhao', 'admin/Report/goodCostZhao');//【商品信息】成本(赵丹要的)_列表
Route::rule('goodCostZhaoExport', 'admin/Report/goodCostZhaoExport');//【商品信息】成本(赵丹要的)_导出
Route::rule('goodPriceZhao', 'admin/Report/goodPriceZhao');//【商品信息】售价(赵丹要的)_列表
Route::rule('goodPriceZhaoExport', 'admin/Report/goodPriceZhaoExport');//【商品信息】售价(赵丹要的)_导出

Route::rule('r_exportgood', 'admin/ReportByRelaComNo/exportGood');//报表-产品价格和产品
Route::rule('r_reportzixuntotal', 'admin/ReportByRelaComNo/zixunTotal');//报表-采购日报表-咨询单总数
Route::rule('r_reportpurcheaseordersum', 'admin/ReportByRelaComNo/purcheaseOrderSum');//报表-采购日报表-采购订单总金额
Route::rule('r_reportconsultbidssum', 'admin/ReportByRelaComNo/consultBidsSum');//报表-采购日报表-采购员回复咨询单数
Route::rule('r_reportpurcheaseordersumbyuser', 'admin/ReportByRelaComNo/purcheaseOrderSumByUser');//报表-采购日报表-采购员订单金额
Route::rule('r_reportconsultinfobidssum', 'admin/ReportByRelaComNo/consultInfoBidsSum');//报表-咨询单报表-已采反报价信息_列表
Route::rule('r_reportconsultinfobidssumexport', 'admin/ReportByRelaComNo/consultInfoBidsSumExport');//报表-咨询单报表-已采反报价信息_导出
Route::rule('r_reportconsultinfobidssumnot', 'admin/ReportByRelaComNo/consultInfoBidsSumNot');//报表-咨询单报表-未采反信息_列表
Route::rule('r_reportconsultinfobidssumnotexport', 'admin/ReportByRelaComNo/consultInfoBidsSumNotExport');//报表-咨询单报表-未采反信息_导出
Route::rule('r_reportorderlistdetailed', 'admin/ReportByRelaComNo/orderListDetailed');//报表-订单明细报表_列表
Route::rule('r_reportorderlistdetailedexport', 'admin/ReportByRelaComNo/orderListDetailedExport');//报表-订单明细报表_导出
Route::rule('r_reportorderreturnlist', 'admin/ReportByRelaComNo/orderReturnList');//报表-售后报表_列表
Route::rule('r_reportorderreturnlistexport', 'admin/ReportByRelaComNo/orderReturnListExport');//报表-售后报表_导出
Route::rule('r_reportsupplierlist', 'admin/ReportByRelaComNo/supplierList');//报表-供应商报表_列表
Route::rule('r_reportsupplierlistexport', 'admin/ReportByRelaComNo/supplierListExport');//报表-供应商报表_导出
Route::rule('r_reportsalereturnlist', 'admin/ReportByRelaComNo/SaleReturnList');//报表-退货流水报表_列表
Route::rule('r_reportsalereturnexport', 'admin/ReportByRelaComNo/SaleReturnExport');//报表-退货流水报表_导出
Route::rule('r_reportgoodonlinelist', 'admin/ReportByRelaComNo/GoodOnlineList');//报表-商品报表-产品上线报表_列表
Route::rule('r_reportgoodonlineexport', 'admin/ReportByRelaComNo/GoodOnlineExport');//报表-商品报表-产品上线报表_导出
Route::rule('r_reportgoodofflinelist', 'admin/ReportByRelaComNo/GoodOfflineList');//报表-商品报表-产品下线报表_列表
Route::rule('r_reportgoodofflineexport', 'admin/ReportByRelaComNo/GoodOfflineExport');//报表-商品报表-产品下线报表_导出
Route::rule('r_reportchangeloglist', 'admin/ReportByRelaComNo/ChangeLogList');//报表-商品报表-商品修改报表_列表
Route::rule('r_reportchangelogeexport', 'admin/ReportByRelaComNo/ChangeLogExport');//报表-商品报表-商品修改报表_导出
Route::rule('r_reportgoodloglist', 'admin/ReportByRelaComNo/GoodLogList');//报表-出入库明细报表_列表
Route::rule('r_reportgoodlogexport', 'admin/ReportByRelaComNo/GoodLogExport');//报表-出入库明细报表_导出
Route::rule('r_goodSimpleZhao', 'admin/ReportByRelaComNo/goodSimpleZhao');//【商品信息】基本信息(赵丹要的)_列表
Route::rule('r_goodSimpleZhaoExport', 'admin/ReportByRelaComNo/goodSimpleZhaoExport');//【商品信息】基本信息(赵丹要的)_导出
Route::rule('r_goodCostZhao', 'admin/ReportByRelaComNo/goodCostZhao');//【商品信息】成本(赵丹要的)_列表
Route::rule('r_goodCostZhaoExport', 'admin/ReportByRelaComNo/goodCostZhaoExport');//【商品信息】成本(赵丹要的)_导出
Route::rule('r_goodPriceZhao', 'admin/ReportByRelaComNo/goodPriceZhao');//【商品信息】售价(赵丹要的)_列表
Route::rule('r_goodPriceZhaoExport', 'admin/ReportByRelaComNo/goodPriceZhaoExport');//【商品信息】售价(赵丹要的)_导出

//采购预约报表
Route::rule("execlist", 'admin/Exec/list');
Route::rule("execsave", 'admin/Exec/save');
Route::rule("execdown", 'admin/Exec/down');
Route::rule("nowlist", 'admin/Exec/nowlist');
//预约报表(业务公司)
Route::rule("r_nowlist", 'admin/ExecByRelaComNo/nowlist');
Route::rule("r_execsave", 'admin/ExecByRelaComNo/save');

//数据看板
Route::rule('datatodaysalesvolume', 'admin/Data/todaySalesVolume');//1.今日销量
Route::rule('datatodaysaleschampion', 'admin/Data/todaySalesChampion');//2.今日销冠
Route::rule('datatodaypurchase', 'admin/Data/todayPurchase');//3.今日采购
Route::rule('datatotalzixunpurchease', 'admin/Data/totalZixunPurchease');//5.竞价单和采购单
Route::rule('datawaitsendtotal', 'admin/Data/waitSendTotal');//6.未发货
Route::rule('datatodaysale', 'admin/Data/todaySale');//7.今日订单
Route::rule('datamonthfinishrate', 'admin/Data/monthFinishRate');//8.本月完成率
Route::rule('datatordertransferratetoday', 'admin/Data/orderTransferRateToday');//9.转单率,今日
Route::rule('datatordertransferratemonth', 'admin/Data/orderTransferRateMonth');//9.转单率,本月
Route::rule('datatordertransferrateyear', 'admin/Data/orderTransferRateYear');//9.转单率,本年
Route::rule('dnTodaySale', 'admin/Data/dnTodaySale');//【新版】1.今日销售
Route::rule('dnTodayPurcheaseOrder', 'admin/Data/dnTodayPurcheaseOrder');//【新版】2.今日采购
Route::rule('dnTodayTransferOrder', 'admin/Data/dnTodayTransferOrder');//【新版】4.销售转单数

//前端报表
Route::rule('saleexportconsultday', 'admin/SaleReport/consultDay');//管理报表-日报
Route::rule('saleexportconsultdayexport', 'admin/SaleReport/consultDayExport');//管理报表-日报-导出
Route::rule('saleexportconsultinfo', 'admin/SaleReport/consultInfo');//管理报表-竞价反馈报表
Route::rule('saleexportconsultinfoexport', 'admin/SaleReport/consultInfoExport');//管理报表-竞价反馈报表-导出
Route::rule('srcin', 'admin/SaleReport/consultInfoNew');//管理报表-竞价单报表
Route::rule('srcine', 'admin/SaleReport/consultInfoNewExport');//管理报表-竞价单报表-导出
Route::rule('saleexportlist', 'admin/SaleReport/saleList');//管理报表-订单报表
Route::rule('saleexport', 'admin/SaleReport/saleExport');//管理报表-订单报表-导出
Route::rule('saleexportnotout', 'admin/SaleReport/saleNotOut');//管理报表-未发货报表
Route::rule('saleexportnotoutexport', 'admin/SaleReport/saleNotOutExport');//管理报表-未发货报表-导出
Route::rule('saleexportnotsigned', 'admin/SaleReport/saleNotSigned');//管理报表-未签收报表-导出
Route::rule('saleexportnotsignedexport', 'admin/SaleReport/saleNotSignedExport');//管理报表-未签收报表-导出
Route::rule('saleexportorderreturn', 'admin/SaleReport/orderReturn');//管理报表-售后报表
Route::rule('saleexportorderreturnexport', 'admin/SaleReport/orderReturnExport');//管理报表-售后报表-导出
Route::rule('saleexportgoodrankinglist', 'admin/SaleReport/goodRankingList');//管理报表-产品热销排行
Route::rule('saleexportgoodrankinglistexport', 'admin/SaleReport/goodRankingListExport');//管理报表-产品热销排行-导出
Route::rule('saleexportconsultdetailed', 'admin/SaleReport/consultDetailed');//咨询单导出明细
Route::rule('saleexportconsultdetailedexport', 'admin/SaleReport/consultDetailedExport');//咨询单导出明细-导出
Route::rule('saleexportsalediff', 'admin/SaleReport/saleDiff');//工差明细表-导出
Route::rule('saleexportsalediffexport', 'admin/SaleReport/saleDiffExport');//工差明细表-导出
Route::rule('saleexportthdata', 'admin/SaleReport/thData');//退货明细表
Route::rule('saleexportthdataexport', 'admin/SaleReport/thDataExport');//退货明细表-导出
Route::rule('seord', 'admin/SaleReport/orderReturnDetailed');//售后明细表
Route::rule('seorde', 'admin/SaleReport/orderReturnDetailedExport');//售后明细表-导出
Route::rule('sebo', 'admin/SaleReport/bargainOrder');//议价明细表
Route::rule('seboe', 'admin/SaleReport/bargainOrderExport');//议价明细表
Route::rule('seoona', 'admin/SaleReport/orderOutNotAddr');//延时发货申请单统计
Route::rule('seoonae', 'admin/SaleReport/orderOutNotAddrExport');//延时发货申请单统计 -导出
Route::rule('seooa', 'admin/SaleReport/orderOutAddr');//直接发货申请单统计
Route::rule('seooae', 'admin/SaleReport/orderOutAddrExport');//直接发货申请单统计 -导出
Route::rule('sna', 'admin/SaleReport/saleNotAddr');//无地址销售订单统计
Route::rule('snae', 'admin/SaleReport/saleNotAddrExport');//无地址销售订单统计
Route::rule('sm', 'admin/SaleReport/saleMonth');//十一、销售订单商品类型
Route::rule('sme', 'admin/SaleReport/saleMonthExport');//十一、销售订单商品类型-导出
Route::rule('oom', 'admin/SaleReport/orderOutMonth');//十二、采购订单发货维度表
Route::rule('oome', 'admin/SaleReport/orderOutMonthExport');//十二、采购订单发货维度表-导出
Route::rule('pom', 'admin/SaleReport/purcheaseOrderMonth');//十三、供应商采购订单情况
Route::rule('pome', 'admin/SaleReport/purcheaseOrderMonthExport');//十三、供应商采购订单情况-导出
Route::rule('popm', 'admin/SaleReport/purcheaseOrderPersonMonth');//十四、供应商负责人采购订单情况
Route::rule('popme', 'admin/SaleReport/purcheaseOrderPersonMonthExport');//十四、供应商负责人采购订单情况-导出

Route::rule('fbbs', 'admin/SaleReport/FeedBackBySupplier');//供应商竞价反馈情况
Route::rule('salestock', 'admin/SaleReport/saleStock');//当日库存销售情况
Route::rule('sse', 'admin/SaleReport/saleStockExport');//当日库存销售情况-导出
Route::rule('ocl', 'admin/SaleReport/OutChildList');//库管待发货
Route::rule('oce', 'admin/SaleReport/OutChildExport');//库管待发货-导出
Route::rule('orderoutbk', 'admin/SaleReport/OrderOutBk');//待采购备货
Route::rule('OrderOutExport', 'admin/SaleReport/OrderOutExport');//待采购备货-导出


//前端报表--业务公司筛选
Route::rule('r_saleexportconsultday', 'admin/SaleReportByRelaComNo/consultDay');//管理报表-日报
Route::rule('r_saleexportconsultdayexport', 'admin/SaleReportByRelaComNo/consultDayExport');//管理报表-日报-导出
Route::rule('r_saleexportconsultinfo', 'admin/SaleReportByRelaComNo/consultInfo');//管理报表-竞价反馈报表
Route::rule('r_saleexportconsultinfoexport', 'admin/SaleReportByRelaComNo/consultInfoExport');//管理报表-竞价反馈报表-导出
Route::rule('r_srcin', 'admin/SaleReportByRelaComNo/consultInfoNew');//管理报表-竞价单报表
Route::rule('r_srcine', 'admin/SaleReportByRelaComNo/consultInfoNewExport');//管理报表-竞价单报表-导出
Route::rule('r_saleexportlist', 'admin/SaleReportByRelaComNo/saleList');//管理报表-订单报表
Route::rule('r_saleexport', 'admin/SaleReportByRelaComNo/saleExport');//管理报表-订单报表-导出
Route::rule('r_saleexportnotout', 'admin/SaleReportByRelaComNo/saleNotOut');//管理报表-未发货报表
Route::rule('r_saleexportnotoutexport', 'admin/SaleReportByRelaComNo/saleNotOutExport');//管理报表-未发货报表-导出
Route::rule('r_saleexportnotsigned', 'admin/SaleReportByRelaComNo/saleNotSigned');//管理报表-未签收报表-导出
Route::rule('r_saleexportnotsignedexport', 'admin/SaleReportByRelaComNo/saleNotSignedExport');//管理报表-未签收报表-导出
Route::rule('r_saleexportorderreturn', 'admin/SaleReportByRelaComNo/orderReturn');//管理报表-售后报表
Route::rule('r_saleexportorderreturnexport', 'admin/SaleReportByRelaComNo/orderReturnExport');//管理报表-售后报表-导出
Route::rule('r_saleexportgoodrankinglist', 'admin/SaleReportByRelaComNo/goodRankingList');//管理报表-产品热销排行
Route::rule('r_saleexportgoodrankinglistexport', 'admin/SaleReportByRelaComNo/goodRankingListExport');//管理报表-产品热销排行-导出
Route::rule('r_saleexportconsultdetailed', 'admin/SaleReportByRelaComNo/consultDetailed');//咨询单导出明细
Route::rule('r_saleexportconsultdetailedexport', 'admin/SaleReportByRelaComNo/consultDetailedExport');//咨询单导出明细-导出
Route::rule('r_saleexportsalediff', 'admin/SaleReportByRelaComNo/saleDiff');//工差明细表-导出
Route::rule('r_saleexportsalediffexport', 'admin/SaleReportByRelaComNo/saleDiffExport');//工差明细表-导出
Route::rule('r_saleexportthdata', 'admin/SaleReportByRelaComNo/thData');//退货明细表
Route::rule('r_saleexportthdataexport', 'admin/SaleReportByRelaComNo/thDataExport');//退货明细表-导出
Route::rule('r_seord', 'admin/SaleReportByRelaComNo/orderReturnDetailed');//售后明细表
Route::rule('r_seorde', 'admin/SaleReportByRelaComNo/orderReturnDetailedExport');//售后明细表-导出
Route::rule('r_sebo', 'admin/SaleReportByRelaComNo/bargainOrder');//议价明细表
Route::rule('r_seboe', 'admin/SaleReportByRelaComNo/bargainOrderExport');//议价明细表
Route::rule('r_seoona', 'admin/SaleReportByRelaComNo/orderOutNotAddr');//延时发货申请单统计
Route::rule('r_seoonae', 'admin/SaleReportByRelaComNo/orderOutNotAddrExport');//延时发货申请单统计 -导出
Route::rule('r_seooa', 'admin/SaleReportByRelaComNo/orderOutAddr');//直接发货申请单统计
Route::rule('r_seooae', 'admin/SaleReportByRelaComNo/orderOutAddrExport');//直接发货申请单统计 -导出
Route::rule('r_sna', 'admin/SaleReportByRelaComNo/saleNotAddr');//无地址销售订单统计
Route::rule('r_snae', 'admin/SaleReportByRelaComNo/saleNotAddrExport');//无地址销售订单统计
Route::rule('r_sm', 'admin/SaleReportByRelaComNo/saleMonth');//十一、销售订单商品类型
Route::rule('r_sme', 'admin/SaleReportByRelaComNo/saleMonthExport');//十一、销售订单商品类型-导出
Route::rule('r_oom', 'admin/SaleReportByRelaComNo/orderOutMonth');//十二、采购订单发货维度表
Route::rule('r_oome', 'admin/SaleReportByRelaComNo/orderOutMonthExport');//十二、采购订单发货维度表-导出
Route::rule('r_pom', 'admin/SaleReportByRelaComNo/purcheaseOrderMonth');//十三、供应商采购订单情况
Route::rule('r_pome', 'admin/SaleReportByRelaComNo/purcheaseOrderMonthExport');//十三、供应商采购订单情况-导出
Route::rule('r_popm', 'admin/SaleReportByRelaComNo/purcheaseOrderPersonMonth');//十四、供应商负责人采购订单情况
Route::rule('r_popme', 'admin/SaleReportByRelaComNo/purcheaseOrderPersonMonthExport');//十四、供应商负责人采购订单情况-导出

Route::rule("catplatadd", "admin/CatPlat/add");
Route::rule("catplatedit", "admin/CatPlat/edit");
Route::rule("catplatlist", "admin/CatPlat/list");
Route::rule("catplatstatus", "admin/CatPlat/status");
Route::rule("catplatdel", "admin/CatPlat/delete");
Route::rule("platprice", "admin/CatPlat/PlatPrice");
Route::rule("catplatall", "admin/CatPlat/catlist");

Route::rule('statlist', 'admin/Stat/list');//
Route::rule('salereport', 'admin/Stat/saleReport');//
Route::rule('bkreport', 'admin/Stat/bkReport');//


Route::rule('standbooklist', 'admin/StandingBook/getList');//台账列表
Route::rule('standbookdetail', 'admin/StandingBook/getDetail');//台账详情

route::rule('getAccountList', 'admin/Account/getAccountList');//获取供应商账号列表
route::rule('changePassword', 'admin/Account/changePassword');//修改供应商账号密码
route::rule('readAccount', 'admin/Account/readAccount');//获取供应商账号账号信息
route::rule('addAccount', 'admin/Account/addAccount');//添加供应商账号
route::rule('editAccount', 'admin/Account/editAccount');//修改供应商账号
route::rule('statusAccount', 'admin/Account/statusAccount');//修改供应商账号状态
route::rule('deleteAccount', 'admin/Account/deleteAccount');//删除供应商账号

//用户组和数据共享
route::rule('getDataGroupList', 'admin/DataGroup/getDataGroupList');//获取用户组列表
route::rule('addDataGroup', 'admin/DataGroup/addDataGroup');//添加用户组
route::rule('getDataGroupDetail', 'admin/DataGroup/getDataGroupDetail');//获取用户组详情
route::rule('editDataGroup', 'admin/DataGroup/editDataGroup');//编辑用户组详情
route::rule('deleteDataGroup', 'admin/DataGroup/deleteDataGroup');//删除用户组
route::rule('statusDataGroup', 'admin/DataGroup/statusDataGroup');//启/禁用用户组
route::rule('getDataGroupListAll', 'admin/DataGroup/getDataGroupListAll');//获取用户组列表(全部)

route::rule('getDataShareList', 'admin/DataShare/getDataShareList');//获取共享规则列表
route::rule('addDataShare', 'admin/DataShare/addDataShare');//新建共享规则
route::rule('getDataShareDetail', 'admin/DataShare/getDataShareDetail');//获取共享规则详情
route::rule('editDataShare', 'admin/DataShare/editDataShare');//修改共享规则
route::rule('deleteDataShare', 'admin/DataShare/deleteDataShare');//删除共享规则
route::rule('statusDataShare', 'admin/DataShare/statusDataShare');//启/禁用共享规则

//【公司平台分类毛利】
route::rule('spcpList', 'admin/CompanyPlatformCatProfit/getList');
route::rule('spcpSet', 'admin/CompanyPlatformCatProfit/set');
//route::rule('spcpStatus', 'admin/CompanyPlatformCatProfit/status');
route::rule('spcpDelete', 'admin/CompanyPlatformCatProfit/delete');
//【公司分类毛利】
route::rule('scpList', 'admin/CompanyCatProfit/getList');
route::rule('scpSet', 'admin/CompanyCatProfit/set');
route::rule('scpStatus', 'admin/CompanyCatProfit/status');
route::rule('scpDelete', 'admin/CompanyCatProfit/delete');
route::rule('getListByCompany', 'admin/CompanyCatProfit/getListByCompany');

//报备单
route::rule('filingList', 'Filing/getList');//获取列表
route::rule('filingAdd', 'Filing/add');//添加
route::rule('filingSave', 'Filing/save');//编辑
route::rule('filingDetail', 'Filing/detail');//详情
route::rule('filingStatus', 'Filing/status');//审核
route::rule('filingCancel', 'Filing/cancel');//取消转单
route::rule('filingTransfer', 'Filing/transfer');//转单
//网络录单
route::rule('interadd', 'admin/Filing/orderAdd');//线下订单录入
route::rule('interedit', 'admin/Filing/orderEdit');
route::rule('interinfo', 'admin/Filing/orderInfo');

route::rule('supplierCgdList', 'admin/SupplierClient/cgdlist'); //采购单列表
route::rule('supplierCgdInList', 'admin/SupplierClient/cgdInList');//入库单列表
route::rule('supplierReturnList', 'admin/SupplierClient/returnList');//入库退货单列表
route::rule('supplierDiffList', 'admin/SupplierClient/difflist');//公差单列表
route::rule('supplierOutList', 'admin/SupplierClient/orderOut');//出库单列表
route::rule('supplierAfterList', 'admin/SupplierClient/afterList'); //售后申请单列表
route::rule('supplierBackList', 'admin/SupplierClient/backlist');//售后退货单列表
route::rule('supplierReorderList', 'admin/SupplierClient/reorderlist');//未发货退货单列表

//发货工单
route::rule('child_wsm_list', 'admin/OrderOutChild/getWsmList');//可分单的仓库列表
route::rule('child_list', 'admin/OrderOutChild/list');//发货工单列表
route::rule('child_export', 'admin/OrderOutChild/export');//导出
route::rule('child_add', 'admin/OrderOutChild/add');//拆单
route::rule('child_info', 'admin/OrderOutChild/info');//详情
route::rule('child_send', 'admin/OrderOutChild/send');//发货
route::rule('child_out_list', 'admin/OrderOutChild/getListByOutCode');//根据发货单号查询发货工单
route::rule('child_out_get_list', 'admin/OrderOutChild/getList');//根据发货单号获取发货工单列表()
route::rule('child_out_make', 'admin/OrderOutChild/makeOutChild');//根据发货单号生成发货工单数据 //退货旧数据生成


route::rule('order_cancel', 'admin/Sale/orderCancel');//订单取消
route::rule('interorderinfo', 'admin/InterOrder/index');//录单订单详情
route::rule('interorderadd', 'admin/InterOrder/create');//录单订单批量导入数据
route::rule('interorderdel', 'admin/InterOrder/delete');//录单订单未转订单取消
route::rule('interorderlist', 'admin/InterOrder/read');//录单订单未转订单取消
route::rule('zxcopy', 'admin/Consult/zxcopy');//咨询单复制
route::rule('zxcopyedit', 'admin/Consult/zxCopyEdit');//咨询单复制单编辑咨询

route::rule('channeladd', 'admin/Channel/add');//渠道新建
route::rule('channeledit', 'admin/Channel/edit');//渠道新建
route::rule('channelstatus', 'admin/Channel/status');//渠道新建
route::rule('channellist', 'admin/Channel/list');//渠道新建
route::rule('channelquery', 'admin/Channel/query');//渠道新建
route::rule('channeldel', 'admin/Channel/delete');//渠道新建
route::rule('channelcatlist', 'admin/Channel/channelCatList');//渠道新建
route::rule('channelcatsave', 'admin/Channel/channleCatSave');//渠道新建

route::rule("combindlist","admin/CombindStock/list");
route::rule("combindadd","admin/CombindStock/create");
route::rule("combindinfo","admin/CombindStock/info");
route::rule("combindstatus","admin/CombindStock/status");

route::rule('dachangelist','admin/DataChange/list');
route::rule('dachangeadd','admin/DataChange/create');
route::rule('dachangeinfo','admin/DataChange/info');
route::rule('dachangestatus','admin/DataChange/status');

route::rule('managerlist','admin/Manager/list');
route::rule('manageradd','admin/Manager/create');
route::rule('managerinfo','admin/Manager/info');
route::rule('managerstatus','admin/Manager/status');
route::rule('managerexport','admin/Manager/export');
//供应商不同意退货 生成数据转未库存商品
route::rule('thstocklist','admin/ThStock/List');
route::rule('thstockstatus','admin/ThStock/status');

route::rule('originlist','admin/Origin/list');
route::rule('originadd','admin/Origin/create');
route::rule('origininfo','admin/Origin/info');

// 供应商分类
route::rule('supplierCatAdd','admin/SupplierCat/add');
route::rule("supplierCatList","admin/SupplierCat/list");
route::rule("supplierCatStatus","admin/supplierCat/status");
route::rule("supplierCatInfo","admin/supplierCat/info");
